using Tekla.Structures;
using Tekla.Structures.Model;
using Tekla.Structures.Model.UI;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
			Model myModel = new Model();
            ModelObjectEnumerator Objects = myModel.GetModelObjectSelector().GetAllObjectsWithType(ModelObject.ModelObjectEnum.ASSEMBLY);

            foreach (Assembly obj in Objects)
            {
                if (obj != null)
                {
                    obj.SetUserProperty("OBJECT_LOCKED", 0);
                }
            }

        }
    }
}
